Skip to content

Register a story

POST
/cms/print/v2/subpages/{id}/stories
curl --request POST \
--url https://api.example.com/cms/print/v2/subpages/1/stories \
--header 'API-Key: <API-Key>' \
--header 'Content-Type: application/json' \
--header 'Token-User: <Token-User>' \
--data '{ "uid": "example", "name": "example", "group": "example", "status": "example", "articleId": 1, "articleVersionId": 1, "icml": "example" }'

Called by InDesign after exporting a story of the layout as ICML (uploaded first). The page must be checked out by this client. uid is the id stamped into the InDesign story; registering an existing uid returns 409 STORY_EXISTS with the story.

id
required
integer
Media typeapplication/json
object
uid
required
string
name
required
string
group
string
status
string
articleId
integer
articleVersionId

The article version the text was placed from

integer
icml
required

Upload id of the ICML file

string

Example generated

{
"uid": "example",
"name": "example",
"group": "example",
"status": "example",
"articleId": 1,
"articleVersionId": 1,
"icml": "example"
}

The story

NOT_LOCKED or STORY_EXISTS